| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
SpiConfig Struct Reference
Spi_hal

SPI hardware configuration settings. More...

`#include <fsl_spi_hal.h>`

Collaboration diagram for SpiConfig:

## Data Fields
uint32_t | kbitsPerSec
| Baud rate in kilobits per second. More...
spi_master_slave_mode_t | masterOrSlave
spi_clock_polarity_t | polarity
spi_clock_phase_t | phase
spi_shift_direction_t | shiftDirection
spi_ss_output_mode_t | ssOutputMode
spi_pin_mode_t | pinMode

## Detailed Description

SPI hardware configuration settings.

Use an instance of this struct with spi_hal_init(). This allows you to configure the

most common settings of the SPI peripheral with a single function call.

The `kbitsPerSec` member is handled specially. If this value is set to 0, then the baud is

not set by spi_hal_init(), and must be set with a separate call to either spi_hal_set_baud()

or spi_hal_set_baud_divisors(). This can be useful if you know the divisors in advance and

don't want to spend the time to compute them for the provided rate in kilobits/sec.

Definition at line 90 of file fsl_spi_hal.h.

## Field Documentation

uint32_t kbitsPerSec

Baud rate in kilobits per second.

Definition at line 91 of file fsl_spi_hal.h.

spi_master_slave_mode_t masterOrSlave

Whether to put the peripheral in master or slave mode.

Definition at line 92 of file fsl_spi_hal.h.

spi_clock_phase_t phase

Clock phase setting.

Definition at line 94 of file fsl_spi_hal.h.

spi_pin_mode_t pinMode

Pin mode with bidirectional option.

Definition at line 97 of file fsl_spi_hal.h.

spi_clock_polarity_t polarity

Clock polarity setting.

Definition at line 93 of file fsl_spi_hal.h.

spi_shift_direction_t shiftDirection

Direction in which data is shifted out.

Definition at line 95 of file fsl_spi_hal.h.

spi_ss_output_mode_t ssOutputMode

Output mode for the slave select signal.

Definition at line 96 of file fsl_spi_hal.h.

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/fsl_spi_hal.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.